import { Modal, ModalService } from '@zeedhi/common';

export class DaysOfStockModalController {
  private daysOfStockModal!: Modal;

  public async createDaysOfStockModal() {
    this.daysOfStockModal = await ModalService.createFromJson('/modals/daysOfStockModal', true);
  }

  public destroyDaysOfStockModal() {
    this.daysOfStockModal?.destroy();
  }

  public openDaysOfStockModal() {
    this.daysOfStockModal.show();
  }

  public closeDaysOfStockModal() {
    this.daysOfStockModal.hide();
  }
  
  
}
